import "learningrule.dart";
import "../neuron.dart";

class perceptronLearning extends LearningRule{
  double learningRate;
  perceptronLearning(this.learningRate){}

  updateWeights(Neuron neuron, double desireOutput){
    neuron.error = desireOutput - neuron.output;
    for(Connection inputConnectionTemp in neuron.inputConnection){
      inputConnectionTemp.weightValue = inputConnectionTemp.weightValue + learningRate * neuron.error * inputConnectionTemp.inputValue;
    }
  }
}